<template>
  <v-app>
    <v-navigation-drawer
      class="elevation-5"
      :mini-variant="navigationMini"
      app
      floating
    >
      <v-layout
        justify-space-between
        column
        fill-height
      >
        <!-- MENU LIST -->
        <div>
          <v-list
            v-for="item in items"
            :key="item.title"
          >
            <v-list-tile @click="go(item.url)">
              <v-list-tile-action>
                <v-icon>{{ item.icon }}</v-icon>
              </v-list-tile-action>
              <v-list-tile-content>
                <v-list-tile-title>{{ item.title }}</v-list-tile-title>
              </v-list-tile-content>
            </v-list-tile>
          </v-list>
        </div>
      </v-layout>
    </v-navigation-drawer>
    <v-toolbar
      app
      class="elevation-5 header"
    >
      <v-icon @click="navigationMini = !navigationMini">
        fas fa-hamburger
      </v-icon>
    </v-toolbar>
    <v-content light>
      <v-container fluid>
        <router-view />
      </v-container>
    </v-content>
    <v-footer app />
  </v-app>
</template>

<script>
export default {
  name: 'App',
  data () {
    return {
      navigationDrawer: false,
      navigationMini: true,
      items: [{
        title: 'Home',
        icon: 'home',
        url: '/'
      },
      {
        title: 'DragDrop',
        icon: 'fas fa-project-diagram',
        url: '/dd'
      },
      {
        title: 'About',
        icon: 'info',
        url: '/about'
      },
      {
        title: 'Server Side Table',
        icon: 'fas fa-table',
        url: '/serversidetable'
      }
      ]
    }
  },
  methods: {
    go (url) {
      this.$router.push({
        path: url
      })
    }
  }
}

</script>

<style>

</style>
